# Enum Class ResourceType

java.lang.Object
java.lang.Enum<ResourceType>
uk.ac.starlink.votable.ResourceType

All Implemented Interfaces:
  `Serializable, Comparable<ResourceType>, Constable`

public enum ResourceType extends Enum<ResourceType>
Values permitted for the type attribute on the VOTable RESOURCE element.

Since:
  7 Nov 2024
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`META`
For `<RESOURCE type='meta'/>`.
`RESULTS`
For `<RESOURCE type='results'/>`.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns the attribute value.
`static ResourceType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ResourceType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RESULTS

public static final ResourceType RESULTS
For `<RESOURCE type='results'/>`.

### META

public static final ResourceType META
For `<RESOURCE type='meta'/>`.

## Method Details

### values

public static ResourceType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ResourceType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()
Returns the attribute value.

Overrides:
  `toString` in class `Enum<ResourceType>`
Returns:
  RESOURCE type attribute value